| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CompleteTypeObject Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the union CompleteTypeObject defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | CompleteTypeObject ()
| Default constructor.
eProsima_user_DllExport | ~CompleteTypeObject ()
| Default destructor.
eProsima_user_DllExport | CompleteTypeObject (const CompleteTypeObject &x)
| Copy constructor.
eProsima_user_DllExport | CompleteTypeObject (CompleteTypeObject &&x) noexcept
| Move constructor.
eProsima_user_DllExport CompleteTypeObject & | operator= (const CompleteTypeObject &x)
| Copy assignment.
eProsima_user_DllExport CompleteTypeObject & | operator= (CompleteTypeObject &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const CompleteTypeObject &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const CompleteTypeObject &x) const
| Comparison operator.
eProsima_user_DllExport void | _d (uint8_t __d)
| This function sets the discriminator value.
eProsima_user_DllExport uint8_t | _d () const
| This function returns the value of the discriminator.
eProsima_user_DllExport void | alias_type (const CompleteAliasType &_alias_type)
| This function copies the value in member alias_type.
eProsima_user_DllExport void | alias_type (CompleteAliasType &&_alias_type)
| This function moves the value in member alias_type.
eProsima_user_DllExport const CompleteAliasType & | alias_type () const
| This function returns a constant reference to member alias_type.
eProsima_user_DllExport CompleteAliasType & | alias_type ()
| This function returns a reference to member alias_type.
eProsima_user_DllExport void | annotation_type (const CompleteAnnotationType &_annotation_type)
| This function copies the value in member annotation_type.
eProsima_user_DllExport void | annotation_type (CompleteAnnotationType &&_annotation_type)
| This function moves the value in member annotation_type.
eProsima_user_DllExport const CompleteAnnotationType & | annotation_type () const
| This function returns a constant reference to member annotation_type.
eProsima_user_DllExport CompleteAnnotationType & | annotation_type ()
| This function returns a reference to member annotation_type.
eProsima_user_DllExport void | struct_type (const CompleteStructType &_struct_type)
| This function copies the value in member struct_type.
eProsima_user_DllExport void | struct_type (CompleteStructType &&_struct_type)
| This function moves the value in member struct_type.
eProsima_user_DllExport const CompleteStructType & | struct_type () const
| This function returns a constant reference to member struct_type.
eProsima_user_DllExport CompleteStructType & | struct_type ()
| This function returns a reference to member struct_type.
eProsima_user_DllExport void | union_type (const CompleteUnionType &_union_type)
| This function copies the value in member union_type.
eProsima_user_DllExport void | union_type (CompleteUnionType &&_union_type)
| This function moves the value in member union_type.
eProsima_user_DllExport const CompleteUnionType & | union_type () const
| This function returns a constant reference to member union_type.
eProsima_user_DllExport CompleteUnionType & | union_type ()
| This function returns a reference to member union_type.
eProsima_user_DllExport void | bitset_type (const CompleteBitsetType &_bitset_type)
| This function copies the value in member bitset_type.
eProsima_user_DllExport void | bitset_type (CompleteBitsetType &&_bitset_type)
| This function moves the value in member bitset_type.
eProsima_user_DllExport const CompleteBitsetType & | bitset_type () const
| This function returns a constant reference to member bitset_type.
eProsima_user_DllExport CompleteBitsetType & | bitset_type ()
| This function returns a reference to member bitset_type.
eProsima_user_DllExport void | sequence_type (const CompleteSequenceType &_sequence_type)
| This function copies the value in member sequence_type.
eProsima_user_DllExport void | sequence_type (CompleteSequenceType &&_sequence_type)
| This function moves the value in member sequence_type.
eProsima_user_DllExport const CompleteSequenceType & | sequence_type () const
| This function returns a constant reference to member sequence_type.
eProsima_user_DllExport CompleteSequenceType & | sequence_type ()
| This function returns a reference to member sequence_type.
eProsima_user_DllExport void | array_type (const CompleteArrayType &_array_type)
| This function copies the value in member array_type.
eProsima_user_DllExport void | array_type (CompleteArrayType &&_array_type)
| This function moves the value in member array_type.
eProsima_user_DllExport const CompleteArrayType & | array_type () const
| This function returns a constant reference to member array_type.
eProsima_user_DllExport CompleteArrayType & | array_type ()
| This function returns a reference to member array_type.
eProsima_user_DllExport void | map_type (const CompleteMapType &_map_type)
| This function copies the value in member map_type.
eProsima_user_DllExport void | map_type (CompleteMapType &&_map_type)
| This function moves the value in member map_type.
eProsima_user_DllExport const CompleteMapType & | map_type () const
| This function returns a constant reference to member map_type.
eProsima_user_DllExport CompleteMapType & | map_type ()
| This function returns a reference to member map_type.
eProsima_user_DllExport void | enumerated_type (const CompleteEnumeratedType &_enumerated_type)
| This function copies the value in member enumerated_type.
eProsima_user_DllExport void | enumerated_type (CompleteEnumeratedType &&_enumerated_type)
| This function moves the value in member enumerated_type.
eProsima_user_DllExport const CompleteEnumeratedType & | enumerated_type () const
| This function returns a constant reference to member enumerated_type.
eProsima_user_DllExport CompleteEnumeratedType & | enumerated_type ()
| This function returns a reference to member enumerated_type.
eProsima_user_DllExport void | bitmask_type (const CompleteBitmaskType &_bitmask_type)
| This function copies the value in member bitmask_type.
eProsima_user_DllExport void | bitmask_type (CompleteBitmaskType &&_bitmask_type)
| This function moves the value in member bitmask_type.
eProsima_user_DllExport const CompleteBitmaskType & | bitmask_type () const
| This function returns a constant reference to member bitmask_type.
eProsima_user_DllExport CompleteBitmaskType & | bitmask_type ()
| This function returns a reference to member bitmask_type.
eProsima_user_DllExport void | extended_type (const CompleteExtendedType &_extended_type)
| This function copies the value in member extended_type.
eProsima_user_DllExport void | extended_type (CompleteExtendedType &&_extended_type)
| This function moves the value in member extended_type.
eProsima_user_DllExport const CompleteExtendedType & | extended_type () const
| This function returns a constant reference to member extended_type.
eProsima_user_DllExport CompleteExtendedType & | extended_type ()
| This function returns a reference to member extended_type.

## Detailed Description

This class represents the union CompleteTypeObject defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ CompleteTypeObject() [1/3]

eProsima_user_DllExport CompleteTypeObject | ( |  | ) |

inline

Default constructor.

## ◆ ~CompleteTypeObject()

eProsima_user_DllExport ~CompleteTypeObject | ( |  | ) |

inline

Default destructor.

## ◆ CompleteTypeObject() [2/3]

eProsima_user_DllExport CompleteTypeObject | ( | const CompleteTypeObject & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object CompleteTypeObject that will be copied.

## ◆ CompleteTypeObject() [3/3]

eProsima_user_DllExport CompleteTypeObject | ( | CompleteTypeObject && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object CompleteTypeObject that will be copied.

## Member Function Documentation

## ◆ _d() [1/2]

eProsima_user_DllExport uint8_t _d | ( |  | ) | const

inline

This function returns the value of the discriminator.

Returns
  Value of the discriminator

## ◆ _d() [2/2]

eProsima_user_DllExport void _d | ( | uint8_t | __d | ) |

inline

This function sets the discriminator value.

Parameters

  __d | New value for the discriminator.

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the new value doesn't correspond to the selected union member.

## ◆ alias_type() [1/4]

eProsima_user_DllExport CompleteAliasType & alias_type | ( |  | ) |

inline

This function returns a reference to member alias_type.

Returns
  Reference to member alias_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ alias_type() [2/4]

eProsima_user_DllExport const CompleteAliasType & alias_type | ( |  | ) | const

inline

This function returns a constant reference to member alias_type.

Returns
  Constant reference to member alias_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ alias_type() [3/4]

eProsima_user_DllExport void alias_type | ( | CompleteAliasType && | _alias_type | ) |

inline

This function moves the value in member alias_type.

Parameters

  _alias_type | New value to be moved in member alias_type

## ◆ alias_type() [4/4]

eProsima_user_DllExport void alias_type | ( | const CompleteAliasType & | _alias_type | ) |

inline

This function copies the value in member alias_type.

Parameters

  _alias_type | New value to be copied in member alias_type

## ◆ annotation_type() [1/4]

eProsima_user_DllExport CompleteAnnotationType & annotation_type | ( |  | ) |

inline

This function returns a reference to member annotation_type.

Returns
  Reference to member annotation_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ annotation_type() [2/4]

eProsima_user_DllExport const CompleteAnnotationType & annotation_type | ( |  | ) | const

inline

This function returns a constant reference to member annotation_type.

Returns
  Constant reference to member annotation_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ annotation_type() [3/4]

eProsima_user_DllExport void annotation_type | ( | CompleteAnnotationType && | _annotation_type | ) |

inline

This function moves the value in member annotation_type.

Parameters

  _annotation_type | New value to be moved in member annotation_type

## ◆ annotation_type() [4/4]

eProsima_user_DllExport void annotation_type | ( | const CompleteAnnotationType & | _annotation_type | ) |

inline

This function copies the value in member annotation_type.

Parameters

  _annotation_type | New value to be copied in member annotation_type

## ◆ array_type() [1/4]

eProsima_user_DllExport CompleteArrayType & array_type | ( |  | ) |

inline

This function returns a reference to member array_type.

Returns
  Reference to member array_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ array_type() [2/4]

eProsima_user_DllExport const CompleteArrayType & array_type | ( |  | ) | const

inline

This function returns a constant reference to member array_type.

Returns
  Constant reference to member array_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ array_type() [3/4]

eProsima_user_DllExport void array_type | ( | CompleteArrayType && | _array_type | ) |

inline

This function moves the value in member array_type.

Parameters

  _array_type | New value to be moved in member array_type

## ◆ array_type() [4/4]

eProsima_user_DllExport void array_type | ( | const CompleteArrayType & | _array_type | ) |

inline

This function copies the value in member array_type.

Parameters

  _array_type | New value to be copied in member array_type

## ◆ bitmask_type() [1/4]

eProsima_user_DllExport CompleteBitmaskType & bitmask_type | ( |  | ) |

inline

This function returns a reference to member bitmask_type.

Returns
  Reference to member bitmask_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ bitmask_type() [2/4]

eProsima_user_DllExport const CompleteBitmaskType & bitmask_type | ( |  | ) | const

inline

This function returns a constant reference to member bitmask_type.

Returns
  Constant reference to member bitmask_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ bitmask_type() [3/4]

eProsima_user_DllExport void bitmask_type | ( | CompleteBitmaskType && | _bitmask_type | ) |

inline

This function moves the value in member bitmask_type.

Parameters

  _bitmask_type | New value to be moved in member bitmask_type

## ◆ bitmask_type() [4/4]

eProsima_user_DllExport void bitmask_type | ( | const CompleteBitmaskType & | _bitmask_type | ) |

inline

This function copies the value in member bitmask_type.

Parameters

  _bitmask_type | New value to be copied in member bitmask_type

## ◆ bitset_type() [1/4]

eProsima_user_DllExport CompleteBitsetType & bitset_type | ( |  | ) |

inline

This function returns a reference to member bitset_type.

Returns
  Reference to member bitset_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ bitset_type() [2/4]

eProsima_user_DllExport const CompleteBitsetType & bitset_type | ( |  | ) | const

inline

This function returns a constant reference to member bitset_type.

Returns
  Constant reference to member bitset_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ bitset_type() [3/4]

eProsima_user_DllExport void bitset_type | ( | CompleteBitsetType && | _bitset_type | ) |

inline

This function moves the value in member bitset_type.

Parameters

  _bitset_type | New value to be moved in member bitset_type

## ◆ bitset_type() [4/4]

eProsima_user_DllExport void bitset_type | ( | const CompleteBitsetType & | _bitset_type | ) |

inline

This function copies the value in member bitset_type.

Parameters

  _bitset_type | New value to be copied in member bitset_type

## ◆ enumerated_type() [1/4]

eProsima_user_DllExport CompleteEnumeratedType & enumerated_type | ( |  | ) |

inline

This function returns a reference to member enumerated_type.

Returns
  Reference to member enumerated_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ enumerated_type() [2/4]

eProsima_user_DllExport const CompleteEnumeratedType & enumerated_type | ( |  | ) | const

inline

This function returns a constant reference to member enumerated_type.

Returns
  Constant reference to member enumerated_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ enumerated_type() [3/4]

eProsima_user_DllExport void enumerated_type | ( | CompleteEnumeratedType && | _enumerated_type | ) |

inline

This function moves the value in member enumerated_type.

Parameters

  _enumerated_type | New value to be moved in member enumerated_type

## ◆ enumerated_type() [4/4]

eProsima_user_DllExport void enumerated_type | ( | const CompleteEnumeratedType & | _enumerated_type | ) |

inline

This function copies the value in member enumerated_type.

Parameters

  _enumerated_type | New value to be copied in member enumerated_type

## ◆ extended_type() [1/4]

eProsima_user_DllExport CompleteExtendedType & extended_type | ( |  | ) |

inline

This function returns a reference to member extended_type.

Returns
  Reference to member extended_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ extended_type() [2/4]

eProsima_user_DllExport const CompleteExtendedType & extended_type | ( |  | ) | const

inline

This function returns a constant reference to member extended_type.

Returns
  Constant reference to member extended_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ extended_type() [3/4]

eProsima_user_DllExport void extended_type | ( | CompleteExtendedType && | _extended_type | ) |

inline

This function moves the value in member extended_type.

Parameters

  _extended_type | New value to be moved in member extended_type

## ◆ extended_type() [4/4]

eProsima_user_DllExport void extended_type | ( | const CompleteExtendedType & | _extended_type | ) |

inline

This function copies the value in member extended_type.

Parameters

  _extended_type | New value to be copied in member extended_type

## ◆ map_type() [1/4]

eProsima_user_DllExport CompleteMapType & map_type | ( |  | ) |

inline

This function returns a reference to member map_type.

Returns
  Reference to member map_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ map_type() [2/4]

eProsima_user_DllExport const CompleteMapType & map_type | ( |  | ) | const

inline

This function returns a constant reference to member map_type.

Returns
  Constant reference to member map_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ map_type() [3/4]

eProsima_user_DllExport void map_type | ( | CompleteMapType && | _map_type | ) |

inline

This function moves the value in member map_type.

Parameters

  _map_type | New value to be moved in member map_type

## ◆ map_type() [4/4]

eProsima_user_DllExport void map_type | ( | const CompleteMapType & | _map_type | ) |

inline

This function copies the value in member map_type.

Parameters

  _map_type | New value to be copied in member map_type

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const CompleteTypeObject & | x | ) | const

inline

Comparison operator.

Parameters

  x | CompleteTypeObject object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport CompleteTypeObject & operator= | ( | CompleteTypeObject && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object CompleteTypeObject that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport CompleteTypeObject & operator= | ( | const CompleteTypeObject & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object CompleteTypeObject that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const CompleteTypeObject & | x | ) | const

inline

Comparison operator.

Parameters

  x | CompleteTypeObject object to compare.

## ◆ sequence_type() [1/4]

eProsima_user_DllExport CompleteSequenceType & sequence_type | ( |  | ) |

inline

This function returns a reference to member sequence_type.

Returns
  Reference to member sequence_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ sequence_type() [2/4]

eProsima_user_DllExport const CompleteSequenceType & sequence_type | ( |  | ) | const

inline

This function returns a constant reference to member sequence_type.

Returns
  Constant reference to member sequence_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ sequence_type() [3/4]

eProsima_user_DllExport void sequence_type | ( | CompleteSequenceType && | _sequence_type | ) |

inline

This function moves the value in member sequence_type.

Parameters

  _sequence_type | New value to be moved in member sequence_type

## ◆ sequence_type() [4/4]

eProsima_user_DllExport void sequence_type | ( | const CompleteSequenceType & | _sequence_type | ) |

inline

This function copies the value in member sequence_type.

Parameters

  _sequence_type | New value to be copied in member sequence_type

## ◆ struct_type() [1/4]

eProsima_user_DllExport CompleteStructType & struct_type | ( |  | ) |

inline

This function returns a reference to member struct_type.

Returns
  Reference to member struct_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ struct_type() [2/4]

eProsima_user_DllExport const CompleteStructType & struct_type | ( |  | ) | const

inline

This function returns a constant reference to member struct_type.

Returns
  Constant reference to member struct_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ struct_type() [3/4]

eProsima_user_DllExport void struct_type | ( | CompleteStructType && | _struct_type | ) |

inline

This function moves the value in member struct_type.

Parameters

  _struct_type | New value to be moved in member struct_type

## ◆ struct_type() [4/4]

eProsima_user_DllExport void struct_type | ( | const CompleteStructType & | _struct_type | ) |

inline

This function copies the value in member struct_type.

Parameters

  _struct_type | New value to be copied in member struct_type

## ◆ union_type() [1/4]

eProsima_user_DllExport CompleteUnionType & union_type | ( |  | ) |

inline

This function returns a reference to member union_type.

Returns
  Reference to member union_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ union_type() [2/4]

eProsima_user_DllExport const CompleteUnionType & union_type | ( |  | ) | const

inline

This function returns a constant reference to member union_type.

Returns
  Constant reference to member union_type

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ union_type() [3/4]

eProsima_user_DllExport void union_type | ( | CompleteUnionType && | _union_type | ) |

inline

This function moves the value in member union_type.

Parameters

  _union_type | New value to be moved in member union_type

## ◆ union_type() [4/4]

eProsima_user_DllExport void union_type | ( | const CompleteUnionType & | _union_type | ) |

inline

This function copies the value in member union_type.

Parameters

  _union_type | New value to be copied in member union_type

## Member Data Documentation

## ◆ m_alias_type

CompleteAliasType m_alias_type

## ◆ m_annotation_type

CompleteAnnotationType m_annotation_type

## ◆ m_array_type

CompleteArrayType m_array_type

## ◆ m_bitmask_type

CompleteBitmaskType m_bitmask_type

## ◆ m_bitset_type

CompleteBitsetType m_bitset_type

## ◆ m_enumerated_type

CompleteEnumeratedType m_enumerated_type

## ◆ m_extended_type

CompleteExtendedType m_extended_type

## ◆ m_map_type

CompleteMapType m_map_type

## ◆ m_sequence_type

CompleteSequenceType m_sequence_type

## ◆ m_struct_type

CompleteStructType m_struct_type

## ◆ m_union_type

CompleteUnionType m_union_type

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp